package xiaoqu.home.open.model.db1;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 二级场景
 * </p>
 *
 * @author wh
 * @since 2022-07-31
 */
@TableName("positions")
@ApiModel(value="Positions对象", description="二级场景")
public class Positions extends Model<Positions> {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    @ApiModelProperty(value = "创建id")
    @TableField("create_id")
    private Long createId;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "修改id")
    @TableField("modify_id")
    private Long modifyId;

    @ApiModelProperty(value = "修改时间")
    @TableField("modify_time")
    private Date modifyTime;

    @ApiModelProperty(value = "数据状态")
    @TableField("soft_delete")
    private Integer softDelete;

    @ApiModelProperty(value = "地址")
    @TableField("address_id")
    private Long addressId;

    @ApiModelProperty(value = "代理商")
    @TableField("agent_id")
    private Long agentId;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_id")
    private Long propertyId;

    @ApiModelProperty(value = "所属区域")
    @TableField("district_id")
    private Long districtId;

    @ApiModelProperty(value = "楼ID")
    @TableField("building_id")
    private Long buildingId;

    @ApiModelProperty(value = "楼层")
    @TableField("floor")
    private String floor;

    @ApiModelProperty(value = "厕所")
    @TableField("toilet_id")
    private Long toiletId;

    @ApiModelProperty(value = "场景名称")
    @TableField("name")
    private String name;

    @ApiModelProperty(value = "厕位编号")
    @TableField("memo")
    private String memo;

    @ApiModelProperty(value = "安装位置")
    @TableField("install_position")
    private String installPosition;

    @ApiModelProperty(value = "厕位类型0:坐便A;1:蹲便B;2:残疾人坐便C;3:其它N")
    @TableField("wc_type")
    private String wcType;

    @ApiModelProperty(value = "0:男厕;1:女厕;2:母婴室;3:残障卫生间;4:第三卫生间;5:其他")
    @TableField("gender")
    private Integer gender;

    @ApiModelProperty(value = "评论")
    @TableField("remark")
    private String remark;

    @ApiModelProperty(value = "主管id")
    @TableField("supervisor_id")
    private Long supervisorId;

    @ApiModelProperty(value = "当前使用状态0:空闲;1:使用;2:停用（默认空闲）")
    @TableField("service_status")
    private Integer serviceStatus;

    @ApiModelProperty(value = "厕位位置:0:上;1:下")
    @TableField("cubicle_position")
    private Integer cubiclePosition;

    @ApiModelProperty(value = "绑定的sn号")
    @TableField("sn_code")
    private String snCode;

    @ApiModelProperty(value = "保洁id")
    @TableField("user_id")
    private Long userId;

    @ApiModelProperty(value = "设备位置0:左;1:右")
    @TableField("hardware_position")
    private Integer hardwarePosition;

    @ApiModelProperty(value = "长度")
    @TableField("length")
    private Integer length;

    @ApiModelProperty(value = "宽度")
    @TableField("width")
    private Integer width;

    @ApiModelProperty(value = "厕位序列")
    @TableField("toilet_order")
    private String toiletOrder;

    @ApiModelProperty(value = "清洁状态0:已清洁;1:待清洁")
    @TableField("clean_status")
    private Integer cleanStatus;

    @ApiModelProperty(value = "绑定状态0:未绑定;1:已绑定")
    @TableField("bind_status")
    private Integer bindStatus;

    @ApiModelProperty(value = "所属代理")
    @TableField("agent_name")
    private String agentName;

    @ApiModelProperty(value = "所属物业")
    @TableField("property_name")
    private String propertyName;

    @ApiModelProperty(value = "所属站点")
    @TableField("district_name")
    private String districtName;

    @ApiModelProperty(value = "所属楼座")
    @TableField("building_name")
    private String buildingName;

    @ApiModelProperty(value = "楼层ID")
    @TableField("floor_id")
    private Long floorId;

    @ApiModelProperty(value = "N级网格ID")
    @TableField("multistage_grid_id")
    private Long multistageGridId;

    @ApiModelProperty(value = "N级网格名称")
    @TableField("multistage_grid_name")
    private String multistageGridName;

    @ApiModelProperty(value = "上级网格名称拼接")
    @TableField("superior_grid_name")
    private String superiorGridName;

    @ApiModelProperty(value = "品质等级0:A级;1:B级....")
    @TableField("quality_level")
    private Integer qualityLevel;

    @ApiModelProperty(value = "场景级别1:1级;2:2级.....")
    @TableField("scenes_level")
    private Integer scenesLevel;

    @ApiModelProperty(value = "启用状态(0:启用;1:停用)")
    @TableField("enable_status")
    private Integer enableStatus;

    @ApiModelProperty(value = "绑定的空感号")
    @TableField("air_sn")
    private String airSn;

    @ApiModelProperty(value = "备注")
    @TableField("note")
    private String note;

    @ApiModelProperty(value = "创建人")
    @TableField("create_name")
    private String createName;

    @ApiModelProperty(value = "编辑人")
    @TableField("modify_name")
    private String modifyName;

    @ApiModelProperty(value = "网格级别1:1级;2:2级.....")
    @TableField("grid_level")
    private Integer gridLevel;

    @ApiModelProperty(value = "上级场景名称")
    @TableField("superior_scenes_name")
    private String superiorScenesName;

    @ApiModelProperty(value = "场景属性0:卫生间;1:电梯;99:其他")
    @TableField("scenes_type")
    private Integer scenesType;


    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getCreateId() {
        return createId;
    }

    public void setCreateId(Long createId) {
        this.createId = createId;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Long getModifyId() {
        return modifyId;
    }

    public void setModifyId(Long modifyId) {
        this.modifyId = modifyId;
    }

    public Date getModifyTime() {
        return modifyTime;
    }

    public void setModifyTime(Date modifyTime) {
        this.modifyTime = modifyTime;
    }

    public Integer getSoftDelete() {
        return softDelete;
    }

    public void setSoftDelete(Integer softDelete) {
        this.softDelete = softDelete;
    }

    public Long getAddressId() {
        return addressId;
    }

    public void setAddressId(Long addressId) {
        this.addressId = addressId;
    }

    public Long getAgentId() {
        return agentId;
    }

    public void setAgentId(Long agentId) {
        this.agentId = agentId;
    }

    public Long getPropertyId() {
        return propertyId;
    }

    public void setPropertyId(Long propertyId) {
        this.propertyId = propertyId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public Long getBuildingId() {
        return buildingId;
    }

    public void setBuildingId(Long buildingId) {
        this.buildingId = buildingId;
    }

    public String getFloor() {
        return floor;
    }

    public void setFloor(String floor) {
        this.floor = floor;
    }

    public Long getToiletId() {
        return toiletId;
    }

    public void setToiletId(Long toiletId) {
        this.toiletId = toiletId;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMemo() {
        return memo;
    }

    public void setMemo(String memo) {
        this.memo = memo;
    }

    public String getInstallPosition() {
        return installPosition;
    }

    public void setInstallPosition(String installPosition) {
        this.installPosition = installPosition;
    }

    public String getWcType() {
        return wcType;
    }

    public void setWcType(String wcType) {
        this.wcType = wcType;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public Long getSupervisorId() {
        return supervisorId;
    }

    public void setSupervisorId(Long supervisorId) {
        this.supervisorId = supervisorId;
    }

    public Integer getServiceStatus() {
        return serviceStatus;
    }

    public void setServiceStatus(Integer serviceStatus) {
        this.serviceStatus = serviceStatus;
    }

    public Integer getCubiclePosition() {
        return cubiclePosition;
    }

    public void setCubiclePosition(Integer cubiclePosition) {
        this.cubiclePosition = cubiclePosition;
    }

    public String getSnCode() {
        return snCode;
    }

    public void setSnCode(String snCode) {
        this.snCode = snCode;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public Integer getHardwarePosition() {
        return hardwarePosition;
    }

    public void setHardwarePosition(Integer hardwarePosition) {
        this.hardwarePosition = hardwarePosition;
    }

    public Integer getLength() {
        return length;
    }

    public void setLength(Integer length) {
        this.length = length;
    }

    public Integer getWidth() {
        return width;
    }

    public void setWidth(Integer width) {
        this.width = width;
    }

    public String getToiletOrder() {
        return toiletOrder;
    }

    public void setToiletOrder(String toiletOrder) {
        this.toiletOrder = toiletOrder;
    }

    public Integer getCleanStatus() {
        return cleanStatus;
    }

    public void setCleanStatus(Integer cleanStatus) {
        this.cleanStatus = cleanStatus;
    }

    public Integer getBindStatus() {
        return bindStatus;
    }

    public void setBindStatus(Integer bindStatus) {
        this.bindStatus = bindStatus;
    }

    public String getAgentName() {
        return agentName;
    }

    public void setAgentName(String agentName) {
        this.agentName = agentName;
    }

    public String getPropertyName() {
        return propertyName;
    }

    public void setPropertyName(String propertyName) {
        this.propertyName = propertyName;
    }

    public String getDistrictName() {
        return districtName;
    }

    public void setDistrictName(String districtName) {
        this.districtName = districtName;
    }

    public String getBuildingName() {
        return buildingName;
    }

    public void setBuildingName(String buildingName) {
        this.buildingName = buildingName;
    }

    public Long getFloorId() {
        return floorId;
    }

    public void setFloorId(Long floorId) {
        this.floorId = floorId;
    }

    public Long getMultistageGridId() {
        return multistageGridId;
    }

    public void setMultistageGridId(Long multistageGridId) {
        this.multistageGridId = multistageGridId;
    }

    public String getMultistageGridName() {
        return multistageGridName;
    }

    public void setMultistageGridName(String multistageGridName) {
        this.multistageGridName = multistageGridName;
    }

    public String getSuperiorGridName() {
        return superiorGridName;
    }

    public void setSuperiorGridName(String superiorGridName) {
        this.superiorGridName = superiorGridName;
    }

    public Integer getQualityLevel() {
        return qualityLevel;
    }

    public void setQualityLevel(Integer qualityLevel) {
        this.qualityLevel = qualityLevel;
    }

    public Integer getScenesLevel() {
        return scenesLevel;
    }

    public void setScenesLevel(Integer scenesLevel) {
        this.scenesLevel = scenesLevel;
    }

    public Integer getEnableStatus() {
        return enableStatus;
    }

    public void setEnableStatus(Integer enableStatus) {
        this.enableStatus = enableStatus;
    }

    public String getAirSn() {
        return airSn;
    }

    public void setAirSn(String airSn) {
        this.airSn = airSn;
    }

    public String getNote() {
        return note;
    }

    public void setNote(String note) {
        this.note = note;
    }

    public String getCreateName() {
        return createName;
    }

    public void setCreateName(String createName) {
        this.createName = createName;
    }

    public String getModifyName() {
        return modifyName;
    }

    public void setModifyName(String modifyName) {
        this.modifyName = modifyName;
    }

    public Integer getGridLevel() {
        return gridLevel;
    }

    public void setGridLevel(Integer gridLevel) {
        this.gridLevel = gridLevel;
    }

    public String getSuperiorScenesName() {
        return superiorScenesName;
    }

    public void setSuperiorScenesName(String superiorScenesName) {
        this.superiorScenesName = superiorScenesName;
    }

    public Integer getScenesType() {
        return scenesType;
    }

    public void setScenesType(Integer scenesType) {
        this.scenesType = scenesType;
    }

    @Override
    protected Serializable pkVal() {
        return this.id;
    }

    @Override
    public String toString() {
        return "Positions{" +
        "id=" + id +
        ", createId=" + createId +
        ", createTime=" + createTime +
        ", modifyId=" + modifyId +
        ", modifyTime=" + modifyTime +
        ", softDelete=" + softDelete +
        ", addressId=" + addressId +
        ", agentId=" + agentId +
        ", propertyId=" + propertyId +
        ", districtId=" + districtId +
        ", buildingId=" + buildingId +
        ", floor=" + floor +
        ", toiletId=" + toiletId +
        ", name=" + name +
        ", memo=" + memo +
        ", installPosition=" + installPosition +
        ", wcType=" + wcType +
        ", gender=" + gender +
        ", remark=" + remark +
        ", supervisorId=" + supervisorId +
        ", serviceStatus=" + serviceStatus +
        ", cubiclePosition=" + cubiclePosition +
        ", snCode=" + snCode +
        ", userId=" + userId +
        ", hardwarePosition=" + hardwarePosition +
        ", length=" + length +
        ", width=" + width +
        ", toiletOrder=" + toiletOrder +
        ", cleanStatus=" + cleanStatus +
        ", bindStatus=" + bindStatus +
        ", agentName=" + agentName +
        ", propertyName=" + propertyName +
        ", districtName=" + districtName +
        ", buildingName=" + buildingName +
        ", floorId=" + floorId +
        ", multistageGridId=" + multistageGridId +
        ", multistageGridName=" + multistageGridName +
        ", superiorGridName=" + superiorGridName +
        ", qualityLevel=" + qualityLevel +
        ", scenesLevel=" + scenesLevel +
        ", enableStatus=" + enableStatus +
        ", airSn=" + airSn +
        ", note=" + note +
        ", createName=" + createName +
        ", modifyName=" + modifyName +
        ", gridLevel=" + gridLevel +
        ", superiorScenesName=" + superiorScenesName +
        ", scenesType=" + scenesType +
        "}";
    }
}
